def install():
    appx_version = run_powershell("Get-AppxPackage -Name Microsoft.WindowsTerminal")["Version"]
    appx_version = get_powershell_str("Get-AppxPackage -Name Microsoft.WindowsTerminal", "Version")


def get_powershell_str(powershell_cmd, value=None):
    r"""Get a value as string from the output of a powershell command
    WARNING: Adding -AllUsers parameter may be necessary to make sure WAPT is enable to get the request value

    Args:
        powershell_cmd (str): Powershell command
        value (str)         : Value to get as string

    .. versionadded:: 2.2

    """
    if value:
        return str(run_powershell("%s | Select-Object -ExpandProperty %s | Write-Host -NoNewline" % (powershell_cmd, value), output_format="text"))
    else:
        return str(run_powershell("%s | Write-Host -NoNewline" % powershell_cmd, output_format="text"))
