def install():
    # Removing application desktop shortcut if allowed
    if params.get("remove_desktop_shortcuts"):
        remove_desktop_shortcut(control.name)

    # Making sure desktop shortcut is added if allowed
    if params.get("add_desktop_shortcuts"):
        create_desktop_shortcut(control.name)

    # Interact differently with Luti
    if params.get("running_as_luti"):
        download_url = "http://srvtemplates.ad.tranquil.it/binary_cache/rsat_windows11_x64_en-us_fr-fr.zip"
        latest_bin = "rsat_windows11_x64_en-us_fr-fr.zip"
        sha256 = "ea8634170599409730ad9257a77b33c3d9cbdfc560753a7cb6d3a09bee1bd767"
        wget(download_url, latest_bin, sha256=sha256)
        return "OK"

    # Checking if the package have been customized for your network
    if "-template" in control.package and not params.get("running_as_luti", False):
        error("Please run the update_package and then customize this package for your network.")
        # error("Please run the update_package to customize this package for your network.")
