def session_setup():
    print("Disabling: auto-update check")
    registry_set(HKEY_CURRENT_USER, r"SOFTWARE\OpenShell\OpenShell\Settings", "Update", 0)


def session_setup():
    print("Configuring: Disable auto-update check and set language")
    disable_update_file = makepath(user_local_appdata(), "ILOVEPDF", "iLovePDF", "dontupdate.txt")
    mkdirs(os.path.dirname(disable_update_file))
    if not isfile(disable_update_file):
        with open(disable_update_file, "w") as f:
            pass
    # registry_set(HKEY_CURRENT_USER, r"SOFTWARE\ILOVEPDF\iLovePDF\Preferences", "checkForDefaultApplicationOnApplicationStart", "false")
    registry_set(HKEY_CURRENT_USER, r"SOFTWARE\ILOVEPDF\iLovePDF\Preferences", "language", get_language())


def session_setup():
    user_conf_dir = makepath(application_data, "MuseScore")
    user_conf_path = makepath(user_conf_dir, "MuseScore3.ini")
    if not isdir(user_conf_dir):
        mkdirs(user_conf_dir)
    inifile_writestring(user_conf_path, "ui", r"application\startup\checkUpdate", "false")
    inifile_writestring(user_conf_path, "application", r"telemetry\allowed", "false")


def session_setup():
    # "C:\Users\username\AppData\Local\OpenBoard\OpenBoardUser.config"
    user_conf_dir = makepath(user_local_appdata, "OpenBoard")
    user_conf_path = makepath(user_conf_dir, "OpenBoardUser.config")
    if not isdir(user_conf_dir):
        mkdirs(user_conf_dir)
    if isfile(user_conf_dir):
        if inifile_readstring(user_conf_path, "App", "EnableAutomaticSoftwareUpdates").lower() != "false":
            print("Disabling: auto-update check")
            killalltasks(ensure_list(control.impacted_process))
            inifile_writestring(user_conf_path, "App", "EnableAutomaticSoftwareUpdates", "false")
    else:
        print("Disabling: auto-update check")
        killalltasks(ensure_list(control.impacted_process))
        inifile_writestring(user_conf_path, "App", "EnableAutomaticSoftwareUpdates", "false")


def session_setup():
    print("Disabling: auto-update check")

    user_conf_dir = makepath(user_appdata(), "qBittorrent")
    user_conf_path = makepath(user_conf_dir, "qBittorrent.ini")
    updateCheck_status = inifile_readstring(user_conf_path, "Preferences", r"Advanced\updateCheck")

    if updateCheck_status != "false":
        if isrunning("qBittorrent"):
            error("qBittorrent is currently running")

        print("Creating qBittorrent folder in : %s" % user_conf_dir)
        mkdirs(user_conf_dir)

        print("Checking/Updating qBittorrent updateCheck status")
        inifile_writestring(user_conf_path, "Preferences", r"Advanced\updateCheck", "false")
    else:
        print("auto-update check is already disabled")
