def install():
    # Declaring local variables
    bin_name = glob.glob("*%s*.exe" % bin_contains)[0]
    app_path = makepath(programfiles32, "Poedit", "Poedit.exe")

    # Installing the software
    print("Installing: %s" % bin_name)
    install_exe_if_needed(
        bin_name,
        silentflags=silent_args,
        key=app_uninstallkey,
        min_version=control.get_software_version(),
        get_version=get_version,
    )


def get_version(app_registry_dict):
    return app_registry_dict["version"].split("-", 1)[0]


def get_version(app_registry_dict):
    app_path = makepath(app_registry_dict["install_location"] + "Zoom.exe")
    return get_file_properties(app_path)["FileVersion"]


def get_version(app_registry_dict):
    if ensure_list(control.architecture)[0] == "x64":
        app_path = makepath(programfiles32, r"Zoom\bin\Zoom.exe")
    else:
        app_path = makepath(programfiles32, r"Zoom\bin\Zoom.exe")
    return get_file_properties(app_path)["FileVersion"]
