#!waptpython
# -*- coding: utf-8 -*-
import os
import sys

sys.path.insert(0, os.path.dirname(os.path.realpath(__file__)))
from setupdevhelpers import *
from dev_utils import *

sys.path.insert(0, sys.executable.rsplit(os.path.sep, 1)[0].replace("/bin", "").replace("\\Scripts", ""))
# from setuphelpers import *


def main():
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    translator = set_translator_deepl(get_deepl_auth_key(), proxies)
    complete_control_description(control_makepath("."))
    translate_control_descriptions(translator, control_makepath("."), formality="prefer_more")
    complete_control_descriptions(control_makepath("."), silent=True)


if __name__ == "__main__":
    main()
