def install():
    # Forget old package to avoid drivers to be removed on package remove
    old_package = WAPT.is_installed(control.package)
    if old_package:
        package_version = p.version.split("-")[-1]
        if int(package_version) < 16:
            WAPT.forget_packages(control.package)

    # Forget duplicate packages
    for p in WAPT.installed():
        if "disabled-hibernation" in p.package:
            WAPT.forget_packages(p.package)
