# -*- coding: utf-8 -*-
from setuphelpers import *
import datetime


def update_package():
    print("downloading repo")
    wget("https://gitea.packages.tranquil.it/wapt-packages/package-tools/archive/master.zip", ".")

    print("unzipping repo")
    unzip("master.zip")

    print("deleting zip")
    remove_file("master.zip")

    # Changing version of the package
    control.version = "%s-%s" % (
        str(datetime.datetime.now().strftime("%Y.%m.%d.%H%M")),
        control.version.split("-")[-1],
    )
    print("Changing version to: %s in WAPT\\control" % control.version)
    control.save_control_to_wapt()
