def session_setup():
    print("Disabling: update check, context menu")

    # C:\Users\username\AppData\Roaming\JAM Software\TreeSize Free\GlobalOptions.xml

    # Specific app values
    user_conf_dir = makepath(application_data, "JAM Software", "TreeSize Free")
    user_conf_file = makepath(user_conf_dir, "GlobalOptions.xml")

    if not isdir(user_conf_dir):
        mkdirs(user_conf_dir)
    if isfile(user_conf_file):
        import xml.etree.ElementTree as ET

        user_conf_tree = ET.parse(user_conf_file)
        user_conf_content = user_conf_tree.getroot()

        # print(user_conf_tree)

        for conf in user_conf_content.iter("CheckForUpdateOptions"):
            if conf.get("Type") == "TCheckForUpdateOptions":
                for children in conf.getchildren():
                    if children.tag == "CheckForUpdatesAutomatically":
                        children.text = "True"
                        user_conf_tree.write(user_conf_file, encoding="utf-8")
