# -*- coding: utf-8 -*-
from setuphelpers import *


app_uninstallkey = "/Applications/Sublime Text.app"


def install():
    zip_name = glob.glob("sublime_text_build_*.zip")[0]
    unzipped_dir = app_uninstallkey.split("/")[-1]

    print(f"Extracting: {zip_name}")
    if isdir(unzipped_dir):
        remove_tree(unzipped_dir)
    unzip(zip_name, os.getcwd())

    install_app(
        unzipped_dir,
        key=app_uninstallkey,
    )


# def uninstall():
#     uninstall_app(app_uninstallkey)
