#!waptpython
# -*- coding: utf-8 -*-
import os
import sys

sys.path.insert(0, os.path.dirname(os.path.realpath(__file__)))
from setupdevhelpers import *
from dev_utils import *

sys.path.insert(0, sys.executable.rsplit(os.path.sep, 1)[0].replace("/bin", "").replace("\\Scripts", ""))
from setuphelpers import *


############################################################################################################
package_tools_path = get_package_tools_path()
short_pkg = get_control_dict(".")["package"].split("-", 1)[-1]
launch_dir = os.getcwd()
asked_dir = ask_directory("Select the folder where control files will be unified in subfolders", launch_dir)
if asked_dir is not None and asked_dir in launch_dir:
    launch_dir = asked_dir
else:
    error("ERROR: You did not selected a dir in this package")
os.chdir(launch_dir)
print(str(run(f'"{sys.executable}" "{makepath(package_tools_path, "package-template", "package_template.py")}" --os all --unify-control')))
